<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja szablonu klasy QCPDataContainer&lt; DataType &gt;</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_data_container.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-types">Typy publiczne</a> &#124;
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="#related">Funkcje powiązane</a> &#124;
<a href="class_q_c_p_data_container-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja szablonu klasy QCPDataContainer&lt; DataType &gt;</div></div>
</div><!--header-->
<div class="contents">

<p>The generic data container for one-dimensional plottables.  
 <a href="class_q_c_p_data_container.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-types" name="pub-types"></a>
Typy publiczne</h2></td></tr>
<tr class="memitem:ae40a91f5cb0bcac61d727427449b7d15"><td class="memItemLeft" align="right" valign="top">typedef QVector&lt; DataType &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">const_iterator</a></td></tr>
<tr class="separator:ae40a91f5cb0bcac61d727427449b7d15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bb453c3ae37d1ee5268878acb3a9d29"><td class="memItemLeft" align="right" valign="top">typedef QVector&lt; DataType &gt;::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a1bb453c3ae37d1ee5268878acb3a9d29">iterator</a></td></tr>
<tr class="separator:a1bb453c3ae37d1ee5268878acb3a9d29"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:af86c0c63719f92c360ff67cc06c6fe6f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#af86c0c63719f92c360ff67cc06c6fe6f">QCPDataContainer</a> ()</td></tr>
<tr class="separator:af86c0c63719f92c360ff67cc06c6fe6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e9b262c739672e13472d0d45b720258"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a8e9b262c739672e13472d0d45b720258">size</a> () const</td></tr>
<tr class="separator:a8e9b262c739672e13472d0d45b720258"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bdebfccd2f9f84bf032882f9d6b00a8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a7bdebfccd2f9f84bf032882f9d6b00a8">isEmpty</a> () const</td></tr>
<tr class="separator:a7bdebfccd2f9f84bf032882f9d6b00a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64f0f1621ca46de2352eaf87476db9b1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a64f0f1621ca46de2352eaf87476db9b1">autoSqueeze</a> () const</td></tr>
<tr class="separator:a64f0f1621ca46de2352eaf87476db9b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a233f866760a78950d2a393c1a4bc54b5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a233f866760a78950d2a393c1a4bc54b5">setAutoSqueeze</a> (bool enabled)</td></tr>
<tr class="separator:a233f866760a78950d2a393c1a4bc54b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7042bd534fc3ce7befa2ce3f790b5bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#ae7042bd534fc3ce7befa2ce3f790b5bf">set</a> (const <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt; &amp;data)</td></tr>
<tr class="separator:ae7042bd534fc3ce7befa2ce3f790b5bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff99fffbb26597a354c4bc8312596ab2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#aff99fffbb26597a354c4bc8312596ab2">set</a> (const QVector&lt; DataType &gt; &amp;data, bool alreadySorted=false)</td></tr>
<tr class="separator:aff99fffbb26597a354c4bc8312596ab2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42b98bd994307ccd163a43d576f91ad9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a42b98bd994307ccd163a43d576f91ad9">add</a> (const <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt; &amp;data)</td></tr>
<tr class="separator:a42b98bd994307ccd163a43d576f91ad9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51d2a4c9ce4baf5e950b767d26673972"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a51d2a4c9ce4baf5e950b767d26673972">add</a> (const QVector&lt; DataType &gt; &amp;data, bool alreadySorted=false)</td></tr>
<tr class="separator:a51d2a4c9ce4baf5e950b767d26673972"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a715e8e9972466804954a2f8fbd5288b7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a715e8e9972466804954a2f8fbd5288b7">add</a> (const DataType &amp;data)</td></tr>
<tr class="separator:a715e8e9972466804954a2f8fbd5288b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7f74cbce304b0369e1626c3798e1eda"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#aa7f74cbce304b0369e1626c3798e1eda">removeBefore</a> (double sortKey)</td></tr>
<tr class="separator:aa7f74cbce304b0369e1626c3798e1eda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbe5d87ffc10b5aeffa5bb42cf03aa3c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#abbe5d87ffc10b5aeffa5bb42cf03aa3c">removeAfter</a> (double sortKey)</td></tr>
<tr class="separator:abbe5d87ffc10b5aeffa5bb42cf03aa3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5f569a120648b167efa78835f12fd38"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#ae5f569a120648b167efa78835f12fd38">remove</a> (double sortKeyFrom, double sortKeyTo)</td></tr>
<tr class="separator:ae5f569a120648b167efa78835f12fd38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dbded7f0732bacf9db48fdfbbb620bc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a2dbded7f0732bacf9db48fdfbbb620bc">remove</a> (double sortKey)</td></tr>
<tr class="separator:a2dbded7f0732bacf9db48fdfbbb620bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e2b29736c6fd761649bda1a54ba967f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a7e2b29736c6fd761649bda1a54ba967f">clear</a> ()</td></tr>
<tr class="separator:a7e2b29736c6fd761649bda1a54ba967f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75da92e33063b63d6da5014683591d45"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a75da92e33063b63d6da5014683591d45">sort</a> ()</td></tr>
<tr class="separator:a75da92e33063b63d6da5014683591d45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82fcc511def22287fc62579d0706387c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a82fcc511def22287fc62579d0706387c">squeeze</a> (bool preAllocation=true, bool postAllocation=true)</td></tr>
<tr class="separator:a82fcc511def22287fc62579d0706387c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49d7622999e2de67fa2331626a3159aa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a49d7622999e2de67fa2331626a3159aa">constBegin</a> () const</td></tr>
<tr class="separator:a49d7622999e2de67fa2331626a3159aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7f7cf239b85b1a28de3d675cc5b3da1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#aa7f7cf239b85b1a28de3d675cc5b3da1">constEnd</a> () const</td></tr>
<tr class="separator:aa7f7cf239b85b1a28de3d675cc5b3da1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80032518413ab8f418f7c81182fd06cb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_data_container.html#a1bb453c3ae37d1ee5268878acb3a9d29">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a80032518413ab8f418f7c81182fd06cb">begin</a> ()</td></tr>
<tr class="separator:a80032518413ab8f418f7c81182fd06cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf66dfad83fe041380f5e0491e7676f2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_data_container.html#a1bb453c3ae37d1ee5268878acb3a9d29">iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#acf66dfad83fe041380f5e0491e7676f2">end</a> ()</td></tr>
<tr class="separator:acf66dfad83fe041380f5e0491e7676f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ad8a5399072d99a242d3a6d2d7e278a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a2ad8a5399072d99a242d3a6d2d7e278a">findBegin</a> (double sortKey, bool expandedRange=true) const</td></tr>
<tr class="separator:a2ad8a5399072d99a242d3a6d2d7e278a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb8b8f23cc2b7234a793a25ce79fe48f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#afb8b8f23cc2b7234a793a25ce79fe48f">findEnd</a> (double sortKey, bool expandedRange=true) const</td></tr>
<tr class="separator:afb8b8f23cc2b7234a793a25ce79fe48f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae90c7457a052b223539906e6bddc0a92"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#ae90c7457a052b223539906e6bddc0a92">at</a> (int index) const</td></tr>
<tr class="separator:ae90c7457a052b223539906e6bddc0a92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba6e1a93c21ccc56a432b4a02c9d0ed2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_range.html">QCPRange</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#aba6e1a93c21ccc56a432b4a02c9d0ed2">keyRange</a> (bool &amp;foundRange, <a class="el" href="namespace_q_c_p.html#afd50e7cf431af385614987d8553ff8a9">QCP::SignDomain</a> signDomain=<a class="el" href="namespace_q_c_p.html#afd50e7cf431af385614987d8553ff8a9aa38352ef02d51ddfa4399d9551566e24">QCP::sdBoth</a>)</td></tr>
<tr class="separator:aba6e1a93c21ccc56a432b4a02c9d0ed2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35a102dc2424d1228fc374d9313efbe9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_range.html">QCPRange</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a35a102dc2424d1228fc374d9313efbe9">valueRange</a> (bool &amp;foundRange, <a class="el" href="namespace_q_c_p.html#afd50e7cf431af385614987d8553ff8a9">QCP::SignDomain</a> signDomain=<a class="el" href="namespace_q_c_p.html#afd50e7cf431af385614987d8553ff8a9aa38352ef02d51ddfa4399d9551566e24">QCP::sdBoth</a>, const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;inKeyRange=<a class="el" href="class_q_c_p_range.html">QCPRange</a>())</td></tr>
<tr class="separator:a35a102dc2424d1228fc374d9313efbe9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aece90eeb2ba8d3c46d3d94023630fbc7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#aece90eeb2ba8d3c46d3d94023630fbc7">dataRange</a> () const</td></tr>
<tr class="separator:aece90eeb2ba8d3c46d3d94023630fbc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1b36f5ae86a5a5a0b92141d3a0945c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#aa1b36f5ae86a5a5a0b92141d3a0945c4">limitIteratorsToDataRange</a> (<a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">const_iterator</a> &amp;<a class="el" href="class_q_c_p_data_container.html#a80032518413ab8f418f7c81182fd06cb">begin</a>, <a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">const_iterator</a> &amp;<a class="el" href="class_q_c_p_data_container.html#acf66dfad83fe041380f5e0491e7676f2">end</a>, const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;<a class="el" href="class_q_c_p_data_container.html#aece90eeb2ba8d3c46d3d94023630fbc7">dataRange</a>) const</td></tr>
<tr class="separator:aa1b36f5ae86a5a5a0b92141d3a0945c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:aae8cdb2bcc3b900ec22f26df3e7d67c7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#aae8cdb2bcc3b900ec22f26df3e7d67c7">preallocateGrow</a> (int minimumPreallocSize)</td></tr>
<tr class="separator:aae8cdb2bcc3b900ec22f26df3e7d67c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83c25ac14be1c920df85e797ee75c982"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a83c25ac14be1c920df85e797ee75c982">performAutoSqueeze</a> ()</td></tr>
<tr class="separator:a83c25ac14be1c920df85e797ee75c982"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:aae64c517d64511ad7a81ff8ee7b29147"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#aae64c517d64511ad7a81ff8ee7b29147">mAutoSqueeze</a></td></tr>
<tr class="separator:aae64c517d64511ad7a81ff8ee7b29147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74906b4da829849c4062b5337c72585d"><td class="memItemLeft" align="right" valign="top">QVector&lt; DataType &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a74906b4da829849c4062b5337c72585d">mData</a></td></tr>
<tr class="separator:a74906b4da829849c4062b5337c72585d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3554d3ad00e69f7ce057efa00ea6f4b2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a3554d3ad00e69f7ce057efa00ea6f4b2">mPreallocSize</a></td></tr>
<tr class="separator:a3554d3ad00e69f7ce057efa00ea6f4b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2115bf023c29691f441eaf1889de84a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#ab2115bf023c29691f441eaf1889de84a">mPreallocIteration</a></td></tr>
<tr class="separator:ab2115bf023c29691f441eaf1889de84a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="related" name="related"></a>
Funkcje powiązane</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Zauważ, że to nie są metody klas.) </p>
</td></tr>
<tr class="memitem:a74c5e06728cb6fa778a25d9ec0c4bd36"><td class="memTemplParams" colspan="2">template&lt;class DataType &gt; </td></tr>
<tr class="memitem:a74c5e06728cb6fa778a25d9ec0c4bd36"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="class_q_c_p_data_container.html#a74c5e06728cb6fa778a25d9ec0c4bd36">qcpLessThanSortKey</a> (const DataType &amp;a, const DataType &amp;b)</td></tr>
<tr class="separator:a74c5e06728cb6fa778a25d9ec0c4bd36"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><div class="compoundTemplParams">template&lt;class DataType&gt;<br />
class QCPDataContainer&lt; DataType &gt;</div><p>This class template provides a fast container for data storage of one-dimensional data. The data type is specified as template parameter (called <em>DataType</em> in the following) and must provide some methods as described in the <a class="el" href="class_q_c_p_data_container.html#qcpdatacontainer-datatype">next section</a>.</p>
<p>The data is stored in a sorted fashion, which allows very quick lookups by the sorted key as well as retrieval of ranges (see <a class="el" href="class_q_c_p_data_container.html#a2ad8a5399072d99a242d3a6d2d7e278a">findBegin</a>, <a class="el" href="class_q_c_p_data_container.html#afb8b8f23cc2b7234a793a25ce79fe48f">findEnd</a>, <a class="el" href="class_q_c_p_data_container.html#aba6e1a93c21ccc56a432b4a02c9d0ed2">keyRange</a>) using binary search. The container uses a preallocation and a postallocation scheme, such that appending and prepending data (with respect to the sort key) is very fast and minimizes reallocations. If data is added which needs to be inserted between existing keys, the merge usually can be done quickly too, using the fact that existing data is always sorted. The user can further improve performance by specifying that added data is already itself sorted by key, if he can guarantee that this is the case (see for example <a class="el" href="class_q_c_p_data_container.html#a51d2a4c9ce4baf5e950b767d26673972">add(const QVector&lt;DataType&gt; &amp;data, bool alreadySorted)</a>).</p>
<p>The data can be accessed with the provided const iterators (<a class="el" href="class_q_c_p_data_container.html#a49d7622999e2de67fa2331626a3159aa">constBegin</a>, <a class="el" href="class_q_c_p_data_container.html#aa7f7cf239b85b1a28de3d675cc5b3da1">constEnd</a>). If it is necessary to alter existing data in-place, the non-const iterators can be used (<a class="el" href="class_q_c_p_data_container.html#a80032518413ab8f418f7c81182fd06cb">begin</a>, <a class="el" href="class_q_c_p_data_container.html#acf66dfad83fe041380f5e0491e7676f2">end</a>). Changing data members that are not the sort key (for most data types called <em>key</em>) is safe from the container's perspective.</p>
<p>Great care must be taken however if the sort key is modified through the non-const iterators. For performance reasons, the iterators don't automatically cause a re-sorting upon their manipulation. It is thus the responsibility of the user to leave the container in a sorted state when finished with the data manipulation, before calling any other methods on the container. A complete re-sort (e.g. after finishing all sort key manipulation) can be done by calling <a class="el" href="class_q_c_p_data_container.html#a75da92e33063b63d6da5014683591d45">sort</a>. Failing to do so can not be detected by the container efficiently and will cause both rendering artifacts and potential data loss.</p>
<p>Implementing one-dimensional plottables that make use of a <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer&lt;T&gt;</a> is usually done by subclassing from <a class="el" href="class_q_c_p_abstract_plottable1_d.html">QCPAbstractPlottable1D&lt;T&gt;</a>, which introduces an according <em>mDataContainer</em> member and some convenience methods.</p>
<h1><a class="anchor" id="qcpdatacontainer-datatype"></a>
Requirements for the DataType template parameter</h1>
<p>The template parameter <code>DataType</code> is the type of the stored data points. It must be trivially copyable and have the following public methods, preferably inline:</p>
<ul>
<li><code>double sortKey() const</code><br  />
 Returns the member variable of this data point that is the sort key, defining the ordering in the container. Often this variable is simply called <em>key</em>.</li>
</ul>
<ul>
<li><code>static DataType fromSortKey(double sortKey)</code><br  />
 Returns a new instance of the data type initialized with its sort key set to <em>sortKey</em>.</li>
</ul>
<ul>
<li><code>static bool sortKeyIsMainKey()</code><br  />
 Returns true if the sort key is equal to the main key (see method <code>mainKey</code> below). For most plottables this is the case. It is not the case for example for <a class="el" href="class_q_c_p_curve.html">QCPCurve</a>, which uses <em>t</em> as sort key and <em>key</em> as main key. This is the reason why <a class="el" href="class_q_c_p_curve.html" title="A plottable representing a parametric curve in a plot.">QCPCurve</a> unlike <a class="el" href="class_q_c_p_graph.html" title="A plottable representing a graph in a plot.">QCPGraph</a> can display parametric curves with loops.</li>
</ul>
<ul>
<li><code>double mainKey() const</code><br  />
 Returns the variable of this data point considered the main key. This is commonly the variable that is used as the coordinate of this data point on the key axis of the plottable. This method is used for example when determining the automatic axis rescaling of key axes (<a class="el" href="class_q_c_p_axis.html#a499345f02ebce4b23d8ccec96e58daa9">QCPAxis::rescale</a>).</li>
</ul>
<ul>
<li><code>double mainValue() const</code><br  />
 Returns the variable of this data point considered the main value. This is commonly the variable that is used as the coordinate of this data point on the value axis of the plottable.</li>
</ul>
<ul>
<li><code><a class="el" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing.">QCPRange</a> valueRange() const</code><br  />
 Returns the range this data point spans in the value axis coordinate. If the data is single-valued (e.g. <a class="el" href="class_q_c_p_graph_data.html" title="Holds the data of one single data point for QCPGraph.">QCPGraphData</a>), this is simply a range with both lower and upper set to the main data point value. However if the data points can represent multiple values at once (e.g <a class="el" href="class_q_c_p_financial_data.html" title="Holds the data of one single data point for QCPFinancial.">QCPFinancialData</a> with its <em>high</em>, <em>low</em>, <em>open</em> and <em>close</em> values at each <em>key</em>) this method should return the range those values span. This method is used for example when determining the automatic axis rescaling of value axes (<a class="el" href="class_q_c_p_axis.html#a499345f02ebce4b23d8ccec96e58daa9">QCPAxis::rescale</a>). </li>
</ul>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02613">2613</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja składowych definicji typu</h2>
<a id="ae40a91f5cb0bcac61d727427449b7d15" name="ae40a91f5cb0bcac61d727427449b7d15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae40a91f5cb0bcac61d727427449b7d15">&#9670;&#160;</a></span>const_iterator</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef QVector&lt;DataType&gt;::const_iterator <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::const_iterator</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02616">2616</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a1bb453c3ae37d1ee5268878acb3a9d29" name="a1bb453c3ae37d1ee5268878acb3a9d29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bb453c3ae37d1ee5268878acb3a9d29">&#9670;&#160;</a></span>iterator</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef QVector&lt;DataType&gt;::iterator <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::iterator</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02617">2617</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="af86c0c63719f92c360ff67cc06c6fe6f" name="af86c0c63719f92c360ff67cc06c6fe6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af86c0c63719f92c360ff67cc06c6fe6f">&#9670;&#160;</a></span>QCPDataContainer()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;<a class="el" href="class_q_c_p_data_container.html">::QCPDataContainer</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs a <a class="el" href="class_q_c_p_data_container.html" title="The generic data container for one-dimensional plottables.">QCPDataContainer</a> used for plottable classes that represent a series of key-sorted data </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02806">2806</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a8e9b262c739672e13472d0d45b720258" name="a8e9b262c739672e13472d0d45b720258"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e9b262c739672e13472d0d45b720258">&#9670;&#160;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the number of data points in the container. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02622">2622</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_container_a8e9b262c739672e13472d0d45b720258_icgraph.png" border="0" usemap="#aclass_q_c_p_data_container_a8e9b262c739672e13472d0d45b720258_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_container_a8e9b262c739672e13472d0d45b720258_icgraph" id="aclass_q_c_p_data_container_a8e9b262c739672e13472d0d45b720258_icgraph">
<area shape="rect" title=" " alt="" coords="212,5,373,31"/>
<area shape="rect" href="class_q_c_p_data_container.html#a42b98bd994307ccd163a43d576f91ad9" title=" " alt="" coords="5,5,164,31"/>
<area shape="poly" title=" " alt="" coords="199,21,164,21,164,15,199,15"/>
</map>
</div>

</div>
</div>
<a id="a7bdebfccd2f9f84bf032882f9d6b00a8" name="a7bdebfccd2f9f84bf032882f9d6b00a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bdebfccd2f9f84bf032882f9d6b00a8">&#9670;&#160;</a></span>isEmpty()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::isEmpty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns whether this container holds no data points. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02623">2623</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_container_a7bdebfccd2f9f84bf032882f9d6b00a8_icgraph.png" border="0" usemap="#aclass_q_c_p_data_container_a7bdebfccd2f9f84bf032882f9d6b00a8_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_container_a7bdebfccd2f9f84bf032882f9d6b00a8_icgraph" id="aclass_q_c_p_data_container_a7bdebfccd2f9f84bf032882f9d6b00a8_icgraph">
<area shape="rect" title=" " alt="" coords="212,5,396,31"/>
<area shape="rect" href="class_q_c_p_data_container.html#a42b98bd994307ccd163a43d576f91ad9" title=" " alt="" coords="5,5,164,31"/>
<area shape="poly" title=" " alt="" coords="198,21,164,21,164,15,198,15"/>
</map>
</div>

</div>
</div>
<a id="a64f0f1621ca46de2352eaf87476db9b1" name="a64f0f1621ca46de2352eaf87476db9b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64f0f1621ca46de2352eaf87476db9b1">&#9670;&#160;</a></span>autoSqueeze()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::autoSqueeze </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02624">2624</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a233f866760a78950d2a393c1a4bc54b5" name="a233f866760a78950d2a393c1a4bc54b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a233f866760a78950d2a393c1a4bc54b5">&#9670;&#160;</a></span>setAutoSqueeze()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::setAutoSqueeze </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets whether the container automatically decides when to release memory from its post- and preallocation pools when data points are removed. By default this is enabled and for typical applications shouldn't be changed.</p>
<p>If auto squeeze is disabled, you can manually decide when to release pre-/postallocation with <a class="el" href="class_q_c_p_data_container.html#a82fcc511def22287fc62579d0706387c">squeeze</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02822">2822</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ae7042bd534fc3ce7befa2ce3f790b5bf" name="ae7042bd534fc3ce7befa2ce3f790b5bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7042bd534fc3ce7befa2ce3f790b5bf">&#9670;&#160;</a></span>set() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::set </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt; &amp;&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>To jest metoda przeciążona, udostępniona dla wygody. Różni się od powyższej metody tylko zestawem akceptowanych argumentów.</p>
<p>Replaces the current data in this container with the provided <em>data</em>.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#a42b98bd994307ccd163a43d576f91ad9">add</a>, <a class="el" href="class_q_c_p_data_container.html#ae5f569a120648b167efa78835f12fd38">remove</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02839">2839</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="aff99fffbb26597a354c4bc8312596ab2" name="aff99fffbb26597a354c4bc8312596ab2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff99fffbb26597a354c4bc8312596ab2">&#9670;&#160;</a></span>set() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::set </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; DataType &gt; &amp;&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>alreadySorted</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>To jest metoda przeciążona, udostępniona dla wygody. Różni się od powyższej metody tylko zestawem akceptowanych argumentów.</p>
<p>Replaces the current data in this container with the provided <em>data</em> </p>
<p>If you can guarantee that the data points in <em>data</em> have ascending order with respect to the DataType's sort key, set <em>alreadySorted</em> to true to avoid an unnecessary sorting run.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#a42b98bd994307ccd163a43d576f91ad9">add</a>, <a class="el" href="class_q_c_p_data_container.html#ae5f569a120648b167efa78835f12fd38">remove</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02855">2855</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a42b98bd994307ccd163a43d576f91ad9" name="a42b98bd994307ccd163a43d576f91ad9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42b98bd994307ccd163a43d576f91ad9">&#9670;&#160;</a></span>add() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::add </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt; &amp;&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>To jest metoda przeciążona, udostępniona dla wygody. Różni się od powyższej metody tylko zestawem akceptowanych argumentów.</p>
<p>Adds the provided <em>data</em> to the current data in this container.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#ae7042bd534fc3ce7befa2ce3f790b5bf">set</a>, <a class="el" href="class_q_c_p_data_container.html#ae5f569a120648b167efa78835f12fd38">remove</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02871">2871</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_container_a42b98bd994307ccd163a43d576f91ad9_cgraph.png" border="0" usemap="#aclass_q_c_p_data_container_a42b98bd994307ccd163a43d576f91ad9_cgraph" alt=""/></div>
<map name="aclass_q_c_p_data_container_a42b98bd994307ccd163a43d576f91ad9_cgraph" id="aclass_q_c_p_data_container_a42b98bd994307ccd163a43d576f91ad9_cgraph">
<area shape="rect" title=" " alt="" coords="5,80,164,105"/>
<area shape="rect" href="class_q_c_p_data_container.html#a49d7622999e2de67fa2331626a3159aa" title=" " alt="" coords="212,5,415,31"/>
<area shape="poly" title=" " alt="" coords="113,78,211,39,238,32,240,37,213,45,115,82"/>
<area shape="rect" href="class_q_c_p_data_container.html#aa7f7cf239b85b1a28de3d675cc5b3da1" title=" " alt="" coords="217,55,409,80"/>
<area shape="poly" title=" " alt="" coords="164,81,203,77,204,82,165,87"/>
<area shape="rect" href="class_q_c_p_data_container.html#a7bdebfccd2f9f84bf032882f9d6b00a8" title=" " alt="" coords="221,104,405,129"/>
<area shape="poly" title=" " alt="" coords="165,98,208,103,208,108,164,104"/>
<area shape="rect" href="class_q_c_p_data_container.html#a8e9b262c739672e13472d0d45b720258" title=" " alt="" coords="233,153,394,179"/>
<area shape="poly" title=" " alt="" coords="118,103,213,138,245,147,243,153,211,143,116,108"/>
</map>
</div>

</div>
</div>
<a id="a51d2a4c9ce4baf5e950b767d26673972" name="a51d2a4c9ce4baf5e950b767d26673972"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51d2a4c9ce4baf5e950b767d26673972">&#9670;&#160;</a></span>add() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::add </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; DataType &gt; &amp;&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>alreadySorted</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Adds the provided data points in <em>data</em> to the current data.</p>
<p>If you can guarantee that the data points in <em>data</em> have ascending order with respect to the DataType's sort key, set <em>alreadySorted</em> to true to avoid an unnecessary sorting run.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#ae7042bd534fc3ce7befa2ce3f790b5bf">set</a>, <a class="el" href="class_q_c_p_data_container.html#ae5f569a120648b167efa78835f12fd38">remove</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02903">2903</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a715e8e9972466804954a2f8fbd5288b7" name="a715e8e9972466804954a2f8fbd5288b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a715e8e9972466804954a2f8fbd5288b7">&#9670;&#160;</a></span>add() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::add </td>
          <td>(</td>
          <td class="paramtype">const DataType &amp;&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>To jest metoda przeciążona, udostępniona dla wygody. Różni się od powyższej metody tylko zestawem akceptowanych argumentów.</p>
<p>Adds the provided single data point to the current data.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#ae5f569a120648b167efa78835f12fd38">remove</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02940">2940</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="aa7f74cbce304b0369e1626c3798e1eda" name="aa7f74cbce304b0369e1626c3798e1eda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7f74cbce304b0369e1626c3798e1eda">&#9670;&#160;</a></span>removeBefore()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::removeBefore </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>sortKey</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Removes all data points with (sort-)keys smaller than or equal to <em>sortKey</em>.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#abbe5d87ffc10b5aeffa5bb42cf03aa3c">removeAfter</a>, <a class="el" href="class_q_c_p_data_container.html#ae5f569a120648b167efa78835f12fd38">remove</a>, <a class="el" href="class_q_c_p_data_container.html#a7e2b29736c6fd761649bda1a54ba967f">clear</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02964">2964</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="abbe5d87ffc10b5aeffa5bb42cf03aa3c" name="abbe5d87ffc10b5aeffa5bb42cf03aa3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbe5d87ffc10b5aeffa5bb42cf03aa3c">&#9670;&#160;</a></span>removeAfter()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::removeAfter </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>sortKey</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Removes all data points with (sort-)keys greater than or equal to <em>sortKey</em>.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#aa7f74cbce304b0369e1626c3798e1eda">removeBefore</a>, <a class="el" href="class_q_c_p_data_container.html#ae5f569a120648b167efa78835f12fd38">remove</a>, <a class="el" href="class_q_c_p_data_container.html#a7e2b29736c6fd761649bda1a54ba967f">clear</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02979">2979</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ae5f569a120648b167efa78835f12fd38" name="ae5f569a120648b167efa78835f12fd38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5f569a120648b167efa78835f12fd38">&#9670;&#160;</a></span>remove() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::remove </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>sortKeyFrom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>sortKeyTo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Removes all data points with (sort-)keys between <em>sortKeyFrom</em> and <em>sortKeyTo</em>. if <em>sortKeyFrom</em> is greater or equal to <em>sortKeyTo</em>, the function does nothing. To remove a single data point with known (sort-)key, use <a class="el" href="class_q_c_p_data_container.html#a2dbded7f0732bacf9db48fdfbbb620bc">remove(double sortKey)</a>.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#aa7f74cbce304b0369e1626c3798e1eda">removeBefore</a>, <a class="el" href="class_q_c_p_data_container.html#abbe5d87ffc10b5aeffa5bb42cf03aa3c">removeAfter</a>, <a class="el" href="class_q_c_p_data_container.html#a7e2b29736c6fd761649bda1a54ba967f">clear</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02996">2996</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a2dbded7f0732bacf9db48fdfbbb620bc" name="a2dbded7f0732bacf9db48fdfbbb620bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dbded7f0732bacf9db48fdfbbb620bc">&#9670;&#160;</a></span>remove() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::remove </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>sortKey</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>To jest metoda przeciążona, udostępniona dla wygody. Różni się od powyższej metody tylko zestawem akceptowanych argumentów.</p>
<p>Removes a single data point at <em>sortKey</em>. If the position is not known with absolute (binary) precision, consider using <a class="el" href="class_q_c_p_data_container.html#ae5f569a120648b167efa78835f12fd38">remove(double sortKeyFrom, double sortKeyTo)</a> with a small fuzziness interval around the suspected position, depeding on the precision with which the (sort-)key is known.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#aa7f74cbce304b0369e1626c3798e1eda">removeBefore</a>, <a class="el" href="class_q_c_p_data_container.html#abbe5d87ffc10b5aeffa5bb42cf03aa3c">removeAfter</a>, <a class="el" href="class_q_c_p_data_container.html#a7e2b29736c6fd761649bda1a54ba967f">clear</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03018">3018</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a7e2b29736c6fd761649bda1a54ba967f" name="a7e2b29736c6fd761649bda1a54ba967f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e2b29736c6fd761649bda1a54ba967f">&#9670;&#160;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::clear</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Removes all data points.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#ae5f569a120648b167efa78835f12fd38">remove</a>, <a class="el" href="class_q_c_p_data_container.html#abbe5d87ffc10b5aeffa5bb42cf03aa3c">removeAfter</a>, <a class="el" href="class_q_c_p_data_container.html#aa7f74cbce304b0369e1626c3798e1eda">removeBefore</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03038">3038</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a75da92e33063b63d6da5014683591d45" name="a75da92e33063b63d6da5014683591d45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75da92e33063b63d6da5014683591d45">&#9670;&#160;</a></span>sort()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::sort</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Re-sorts all data points in the container by their sort key.</p>
<p>When setting, adding or removing points using the <a class="el" href="class_q_c_p_data_container.html" title="The generic data container for one-dimensional plottables.">QCPDataContainer</a> interface (<a class="el" href="class_q_c_p_data_container.html#ae7042bd534fc3ce7befa2ce3f790b5bf">set</a>, <a class="el" href="class_q_c_p_data_container.html#a42b98bd994307ccd163a43d576f91ad9">add</a>, <a class="el" href="class_q_c_p_data_container.html#ae5f569a120648b167efa78835f12fd38">remove</a>, etc.), the container makes sure to always stay in a sorted state such that a full resort is never necessary. However, if you choose to directly manipulate the sort key on data points by accessing and modifying it through the non-const iterators (<a class="el" href="class_q_c_p_data_container.html#a80032518413ab8f418f7c81182fd06cb">begin</a>, <a class="el" href="class_q_c_p_data_container.html#acf66dfad83fe041380f5e0491e7676f2">end</a>), it is your responsibility to bring the container back into a sorted state before any other methods are called on it. This can be achieved by calling this method immediately after finishing the sort key manipulation. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03057">3057</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a82fcc511def22287fc62579d0706387c" name="a82fcc511def22287fc62579d0706387c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82fcc511def22287fc62579d0706387c">&#9670;&#160;</a></span>squeeze()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::squeeze </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>preAllocation</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>postAllocation</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Frees all unused memory that is currently in the preallocation and postallocation pools.</p>
<p>Note that <a class="el" href="class_q_c_p_data_container.html" title="The generic data container for one-dimensional plottables.">QCPDataContainer</a> automatically decides whether squeezing is necessary, if <a class="el" href="class_q_c_p_data_container.html#a233f866760a78950d2a393c1a4bc54b5">setAutoSqueeze</a> is left enabled. It should thus not be necessary to use this method for typical applications.</p>
<p>The parameters <em>preAllocation</em> and <em>postAllocation</em> control whether pre- and/or post allocation should be freed, respectively. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03073">3073</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a49d7622999e2de67fa2331626a3159aa" name="a49d7622999e2de67fa2331626a3159aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49d7622999e2de67fa2331626a3159aa">&#9670;&#160;</a></span>constBegin()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">QCPDataContainer::const_iterator</a> <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::constBegin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a const iterator to the first data point in this container. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02643">2643</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_container_a49d7622999e2de67fa2331626a3159aa_icgraph.png" border="0" usemap="#aclass_q_c_p_data_container_a49d7622999e2de67fa2331626a3159aa_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_container_a49d7622999e2de67fa2331626a3159aa_icgraph" id="aclass_q_c_p_data_container_a49d7622999e2de67fa2331626a3159aa_icgraph">
<area shape="rect" title=" " alt="" coords="220,35,423,60"/>
<area shape="rect" href="class_q_c_p_data_container.html#a42b98bd994307ccd163a43d576f91ad9" title=" " alt="" coords="9,5,168,31"/>
<area shape="poly" title=" " alt="" coords="207,36,168,31,169,25,207,30"/>
<area shape="rect" href="class_q_c_p_abstract_plottable1_d.html#a22377bf6e57ab7eedbc9e489250c6ded" title=" " alt="" coords="5,55,172,95"/>
<area shape="poly" title=" " alt="" coords="207,64,173,68,172,63,206,59"/>
</map>
</div>

</div>
</div>
<a id="aa7f7cf239b85b1a28de3d675cc5b3da1" name="aa7f7cf239b85b1a28de3d675cc5b3da1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7f7cf239b85b1a28de3d675cc5b3da1">&#9670;&#160;</a></span>constEnd()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">QCPDataContainer::const_iterator</a> <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::constEnd </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a const iterator to the element past the last data point in this container. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02644">2644</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_container_aa7f7cf239b85b1a28de3d675cc5b3da1_icgraph.png" border="0" usemap="#aclass_q_c_p_data_container_aa7f7cf239b85b1a28de3d675cc5b3da1_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_container_aa7f7cf239b85b1a28de3d675cc5b3da1_icgraph" id="aclass_q_c_p_data_container_aa7f7cf239b85b1a28de3d675cc5b3da1_icgraph">
<area shape="rect" title=" " alt="" coords="212,5,404,31"/>
<area shape="rect" href="class_q_c_p_data_container.html#a42b98bd994307ccd163a43d576f91ad9" title=" " alt="" coords="5,5,164,31"/>
<area shape="poly" title=" " alt="" coords="198,21,164,21,164,15,198,15"/>
</map>
</div>

</div>
</div>
<a id="a80032518413ab8f418f7c81182fd06cb" name="a80032518413ab8f418f7c81182fd06cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80032518413ab8f418f7c81182fd06cb">&#9670;&#160;</a></span>begin()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_data_container.html#a1bb453c3ae37d1ee5268878acb3a9d29">QCPDataContainer::iterator</a> <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a non-const iterator to the first data point in this container.</p>
<p>You can manipulate the data points in-place through the non-const iterators, but great care must be taken when manipulating the sort key of a data point, see <a class="el" href="class_q_c_p_data_container.html#a75da92e33063b63d6da5014683591d45">sort</a>, or the detailed description of this class. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02645">2645</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="acf66dfad83fe041380f5e0491e7676f2" name="acf66dfad83fe041380f5e0491e7676f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf66dfad83fe041380f5e0491e7676f2">&#9670;&#160;</a></span>end()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_data_container.html#a1bb453c3ae37d1ee5268878acb3a9d29">QCPDataContainer::iterator</a> <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a non-const iterator to the element past the last data point in this container.</p>
<p>You can manipulate the data points in-place through the non-const iterators, but great care must be taken when manipulating the sort key of a data point, see <a class="el" href="class_q_c_p_data_container.html#a75da92e33063b63d6da5014683591d45">sort</a>, or the detailed description of this class. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02646">2646</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a2ad8a5399072d99a242d3a6d2d7e278a" name="a2ad8a5399072d99a242d3a6d2d7e278a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ad8a5399072d99a242d3a6d2d7e278a">&#9670;&#160;</a></span>findBegin()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;<a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">::const_iterator</a> <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::findBegin </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>sortKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>expandedRange</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns an iterator to the data point with a (sort-)key that is equal to, just below, or just above <em>sortKey</em>. If <em>expandedRange</em> is true, the data point just below <em>sortKey</em> will be considered, otherwise the one just above.</p>
<p>This can be used in conjunction with <a class="el" href="class_q_c_p_data_container.html#afb8b8f23cc2b7234a793a25ce79fe48f">findEnd</a> to iterate over data points within a given key range, including or excluding the bounding data points that are just beyond the specified range.</p>
<p>If <em>expandedRange</em> is true but there are no data points below <em>sortKey</em>, <a class="el" href="class_q_c_p_data_container.html#a49d7622999e2de67fa2331626a3159aa">constBegin</a> is returned.</p>
<p>If the container is empty, returns <a class="el" href="class_q_c_p_data_container.html#aa7f7cf239b85b1a28de3d675cc5b3da1">constEnd</a>.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#afb8b8f23cc2b7234a793a25ce79fe48f">findEnd</a>, <a class="el" href="class_q_c_p_plottable_interface1_d.html#a5b95783271306a4de97be54eac1e7d13">QCPPlottableInterface1D::findBegin</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03105">3105</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_container_a2ad8a5399072d99a242d3a6d2d7e278a_icgraph.png" border="0" usemap="#aclass_q_c_p_data_container_a2ad8a5399072d99a242d3a6d2d7e278a_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_container_a2ad8a5399072d99a242d3a6d2d7e278a_icgraph" id="aclass_q_c_p_data_container_a2ad8a5399072d99a242d3a6d2d7e278a_icgraph">
<area shape="rect" title=" " alt="" coords="220,45,411,70"/>
<area shape="rect" href="class_q_c_p_abstract_plottable1_d.html#a2f169c3c2989e5d08ec7a9e3eb56a261" title=" " alt="" coords="5,5,172,45"/>
<area shape="poly" title=" " alt="" coords="211,45,172,40,173,34,212,40"/>
<area shape="rect" href="class_q_c_p_abstract_plottable1_d.html#a22377bf6e57ab7eedbc9e489250c6ded" title=" " alt="" coords="5,69,172,109"/>
<area shape="poly" title=" " alt="" coords="212,75,173,80,172,75,211,69"/>
</map>
</div>

</div>
</div>
<a id="afb8b8f23cc2b7234a793a25ce79fe48f" name="afb8b8f23cc2b7234a793a25ce79fe48f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb8b8f23cc2b7234a793a25ce79fe48f">&#9670;&#160;</a></span>findEnd()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;<a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">::const_iterator</a> <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::findEnd </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>sortKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>expandedRange</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns an iterator to the element after the data point with a (sort-)key that is equal to, just above or just below <em>sortKey</em>. If <em>expandedRange</em> is true, the data point just above <em>sortKey</em> will be considered, otherwise the one just below.</p>
<p>This can be used in conjunction with <a class="el" href="class_q_c_p_data_container.html#a2ad8a5399072d99a242d3a6d2d7e278a">findBegin</a> to iterate over data points within a given key range, including the bounding data points that are just below and above the specified range.</p>
<p>If <em>expandedRange</em> is true but there are no data points above <em>sortKey</em>, <a class="el" href="class_q_c_p_data_container.html#aa7f7cf239b85b1a28de3d675cc5b3da1">constEnd</a> is returned.</p>
<p>If the container is empty, <a class="el" href="class_q_c_p_data_container.html#aa7f7cf239b85b1a28de3d675cc5b3da1">constEnd</a> is returned.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#a2ad8a5399072d99a242d3a6d2d7e278a">findBegin</a>, <a class="el" href="class_q_c_p_plottable_interface1_d.html#a5deced1016bc55a41a2339619045b295">QCPPlottableInterface1D::findEnd</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03132">3132</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_container_afb8b8f23cc2b7234a793a25ce79fe48f_icgraph.png" border="0" usemap="#aclass_q_c_p_data_container_afb8b8f23cc2b7234a793a25ce79fe48f_icgraph" alt=""/></div>
<map name="aclass_q_c_p_data_container_afb8b8f23cc2b7234a793a25ce79fe48f_icgraph" id="aclass_q_c_p_data_container_afb8b8f23cc2b7234a793a25ce79fe48f_icgraph">
<area shape="rect" title=" " alt="" coords="220,45,400,70"/>
<area shape="rect" href="class_q_c_p_abstract_plottable1_d.html#a2f169c3c2989e5d08ec7a9e3eb56a261" title=" " alt="" coords="5,5,172,45"/>
<area shape="poly" title=" " alt="" coords="208,45,172,40,173,35,208,40"/>
<area shape="rect" href="class_q_c_p_abstract_plottable1_d.html#a22377bf6e57ab7eedbc9e489250c6ded" title=" " alt="" coords="5,69,172,109"/>
<area shape="poly" title=" " alt="" coords="208,75,173,80,172,75,208,69"/>
</map>
</div>

</div>
</div>
<a id="ae90c7457a052b223539906e6bddc0a92" name="ae90c7457a052b223539906e6bddc0a92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae90c7457a052b223539906e6bddc0a92">&#9670;&#160;</a></span>at()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">QCPDataContainer::const_iterator</a> <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::at </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a const iterator to the element with the specified <em>index</em>. If <em>index</em> points beyond the available elements in this container, returns <a class="el" href="class_q_c_p_data_container.html#aa7f7cf239b85b1a28de3d675cc5b3da1">constEnd</a>, i.e. an iterator past the last valid element.</p>
<p>You can use this method to easily obtain iterators from a <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a>, see the data selection page for an example. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02649">2649</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="aba6e1a93c21ccc56a432b4a02c9d0ed2" name="aba6e1a93c21ccc56a432b4a02c9d0ed2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba6e1a93c21ccc56a432b4a02c9d0ed2">&#9670;&#160;</a></span>keyRange()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_range.html">QCPRange</a> <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::keyRange </td>
          <td>(</td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>foundRange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespace_q_c_p.html#afd50e7cf431af385614987d8553ff8a9">QCP::SignDomain</a>&#160;</td>
          <td class="paramname"><em>signDomain</em> = <code><a class="el" href="namespace_q_c_p.html#afd50e7cf431af385614987d8553ff8a9aa38352ef02d51ddfa4399d9551566e24">QCP::sdBoth</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns the range encompassed by the (main-)key coordinate of all data points. The output parameter <em>foundRange</em> indicates whether a sensible range was found. If this is false, you should not use the returned <a class="el" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing.">QCPRange</a> (e.g. the data container is empty or all points have the same key).</p>
<p>Use <em>signDomain</em> to control which sign of the key coordinates should be considered. This is relevant e.g. for logarithmic plots which can mathematically only display one sign domain at a time.</p>
<p>If the DataType reports that its main key is equal to the sort key (<em>sortKeyIsMainKey</em>), as is the case for most plottables, this method uses this fact and finds the range very quickly.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#a35a102dc2424d1228fc374d9313efbe9">valueRange</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03159">3159</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a35a102dc2424d1228fc374d9313efbe9" name="a35a102dc2424d1228fc374d9313efbe9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35a102dc2424d1228fc374d9313efbe9">&#9670;&#160;</a></span>valueRange()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_range.html">QCPRange</a> <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::valueRange </td>
          <td>(</td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>foundRange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespace_q_c_p.html#afd50e7cf431af385614987d8553ff8a9">QCP::SignDomain</a>&#160;</td>
          <td class="paramname"><em>signDomain</em> = <code><a class="el" href="namespace_q_c_p.html#afd50e7cf431af385614987d8553ff8a9aa38352ef02d51ddfa4399d9551566e24">QCP::sdBoth</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;&#160;</td>
          <td class="paramname"><em>inKeyRange</em> = <code><a class="el" href="class_q_c_p_range.html">QCPRange</a>()</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns the range encompassed by the value coordinates of the data points in the specified key range (<em>inKeyRange</em>), using the full <em>DataType::valueRange</em> reported by the data points. The output parameter <em>foundRange</em> indicates whether a sensible range was found. If this is false, you should not use the returned <a class="el" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing.">QCPRange</a> (e.g. the data container is empty or all points have the same value).</p>
<p>Inf and -Inf data values are ignored.</p>
<p>If <em>inKeyRange</em> has both lower and upper bound set to zero (is equal to <code><a class="el" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing.">QCPRange()</a></code>), all data points are considered, without any restriction on the keys.</p>
<p>Use <em>signDomain</em> to control which sign of the value coordinates should be considered. This is relevant e.g. for logarithmic plots which can mathematically only display one sign domain at a time.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#aba6e1a93c21ccc56a432b4a02c9d0ed2">keyRange</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03284">3284</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="aece90eeb2ba8d3c46d3d94023630fbc7" name="aece90eeb2ba8d3c46d3d94023630fbc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aece90eeb2ba8d3c46d3d94023630fbc7">&#9670;&#160;</a></span>dataRange()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::dataRange </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> encompassing the entire data set of this container. This means the begin index of the returned range is 0, and the end index is <a class="el" href="class_q_c_p_data_container.html#a8e9b262c739672e13472d0d45b720258">size</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02652">2652</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="aa1b36f5ae86a5a5a0b92141d3a0945c4" name="aa1b36f5ae86a5a5a0b92141d3a0945c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1b36f5ae86a5a5a0b92141d3a0945c4">&#9670;&#160;</a></span>limitIteratorsToDataRange()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::limitIteratorsToDataRange </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">const_iterator</a> &amp;&#160;</td>
          <td class="paramname"><em>begin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_q_c_p_data_container.html#ae40a91f5cb0bcac61d727427449b7d15">const_iterator</a> &amp;&#160;</td>
          <td class="paramname"><em>end</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_data_range.html">QCPDataRange</a> &amp;&#160;</td>
          <td class="paramname"><em>dataRange</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Makes sure <em>begin</em> and <em>end</em> mark a data range that is both within the bounds of this data container's data, as well as within the specified <em>dataRange</em>. The initial range described by the passed iterators <em>begin</em> and <em>end</em> is never expanded, only contracted if necessary.</p>
<p>This function doesn't require for <em>dataRange</em> to be within the bounds of this data container's valid range. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03372">3372</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_data_container_aa1b36f5ae86a5a5a0b92141d3a0945c4_cgraph.png" border="0" usemap="#aclass_q_c_p_data_container_aa1b36f5ae86a5a5a0b92141d3a0945c4_cgraph" alt=""/></div>
<map name="aclass_q_c_p_data_container_aa1b36f5ae86a5a5a0b92141d3a0945c4_cgraph" id="aclass_q_c_p_data_container_aa1b36f5ae86a5a5a0b92141d3a0945c4_cgraph">
<area shape="rect" title=" " alt="" coords="5,47,216,87"/>
<area shape="rect" href="class_q_c_p_data_range.html#ae76d7eba9defdfafcd0fc41096793129" title=" " alt="" coords="273,5,424,31"/>
<area shape="poly" title=" " alt="" coords="207,45,273,31,274,36,208,50"/>
<area shape="rect" href="class_q_c_p_data_range.html#a93529421d12fdd3a8bdb2b8061936352" title=" " alt="" coords="264,55,433,80"/>
<area shape="poly" title=" " alt="" coords="216,65,250,65,250,70,216,70"/>
<area shape="rect" href="class_q_c_p_data_range.html#aee1b20fb045929c3753ee2ce14af7630" title=" " alt="" coords="278,104,419,129"/>
<area shape="poly" title=" " alt="" coords="208,85,274,99,273,104,207,90"/>
<area shape="rect" href="class_q_c_p_data_range.html#a84e1e03129dd52528efb4bac18d30183" title=" " alt="" coords="494,5,681,31"/>
<area shape="poly" title=" " alt="" coords="410,52,511,31,512,36,411,57"/>
<area shape="rect" href="class_q_c_p_data_range.html#ac32e53fc05d6cd2eac96b96a7265d3b8" title=" " alt="" coords="504,55,671,80"/>
<area shape="poly" title=" " alt="" coords="434,65,490,65,490,70,434,70"/>
<area shape="rect" href="class_q_c_p_data_range.html#a49e72fd9bace1da9d875136dcc04c986" title=" " alt="" coords="481,104,693,129"/>
<area shape="poly" title=" " alt="" coords="411,77,512,99,511,104,410,83"/>
<area shape="rect" href="class_q_c_p_data_range.html#aae53a37472212dca0a7939963e20dba0" title=" " alt="" coords="741,5,900,31"/>
<area shape="poly" title=" " alt="" coords="681,15,728,15,728,21,681,21"/>
</map>
</div>

</div>
</div>
<a id="aae8cdb2bcc3b900ec22f26df3e7d67c7" name="aae8cdb2bcc3b900ec22f26df3e7d67c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae8cdb2bcc3b900ec22f26df3e7d67c7">&#9670;&#160;</a></span>preallocateGrow()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::preallocateGrow </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>minimumPreallocSize</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03390">3390</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a83c25ac14be1c920df85e797ee75c982" name="a83c25ac14be1c920df85e797ee75c982"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83c25ac14be1c920df85e797ee75c982">&#9670;&#160;</a></span>performAutoSqueeze()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::performAutoSqueeze</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l03420">3420</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja przyjaciół i funkcji związanych</h2>
<a id="a74c5e06728cb6fa778a25d9ec0c4bd36" name="a74c5e06728cb6fa778a25d9ec0c4bd36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74c5e06728cb6fa778a25d9ec0c4bd36">&#9670;&#160;</a></span>qcpLessThanSortKey()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool qcpLessThanSortKey </td>
          <td>(</td>
          <td class="paramtype">const DataType &amp;&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const DataType &amp;&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">related</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns whether the sort key of <em>a</em> is less than the sort key of <em>b</em>.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_data_container.html#a75da92e33063b63d6da5014683591d45">QCPDataContainer::sort</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02610">2610</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="aae64c517d64511ad7a81ff8ee7b29147" name="aae64c517d64511ad7a81ff8ee7b29147"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae64c517d64511ad7a81ff8ee7b29147">&#9670;&#160;</a></span>mAutoSqueeze</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::mAutoSqueeze</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02657">2657</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a74906b4da829849c4062b5337c72585d" name="a74906b4da829849c4062b5337c72585d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74906b4da829849c4062b5337c72585d">&#9670;&#160;</a></span>mData</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt;DataType&gt; <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::mData</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02660">2660</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a3554d3ad00e69f7ce057efa00ea6f4b2" name="a3554d3ad00e69f7ce057efa00ea6f4b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3554d3ad00e69f7ce057efa00ea6f4b2">&#9670;&#160;</a></span>mPreallocSize</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::mPreallocSize</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02661">2661</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ab2115bf023c29691f441eaf1889de84a" name="ab2115bf023c29691f441eaf1889de84a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2115bf023c29691f441eaf1889de84a">&#9670;&#160;</a></span>mPreallocIteration</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class DataType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>&lt; DataType &gt;::mPreallocIteration</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02662">2662</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z pliku:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
